﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Claims;
using System.Web;
using System.Web.Mvc;

namespace Benday.RightsBasedSecurity.WebUi.Controllers
{
    public class SecuritySummaryController : Controller
    {
        public ActionResult Index()
        {
            var principal = User as ClaimsPrincipal;

            // principal.HasClaim()

            var identity = User.Identity;

            var claimsIdentityInstance = identity as ClaimsIdentity;
            
            if (claimsIdentityInstance == null)
            {
                return View(new List<Claim>());
            }
            else
            {
                return View(claimsIdentityInstance.Claims.ToList());
            }            
        }
    }
}