﻿using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc.Rendering;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Benday.AspNetCore.SecuritySample.WebUi.Models.SecurityAdminViewModels
{
    public class SecurityAdminAction
    {
        public List<SelectListItem> Users { get; set; }
        public List<SelectListItem> Roles { get; set; }
        public List<LibraryEntry> LibraryEntries { get; set; }

        public List<string> Permissions { get; set; }

        public string UserId { get; set; }
        public string RoleId { get; set; }

        public string AwesomenessLevel { get; set; }
    }
}
