﻿using System;
using System.Linq;

namespace Benday.AspNetCore.SecuritySample.WebUi
{
    public static class SecurityConstants
    {
        public const string RoleName_Admin = "Library.Admin";
        public const string RoleName_User = "Library.User";
        public const string RoleName_PluralsightEditor = "Library.PluralsightEditor";
        public const string RoleName_BookEditor = "Library.BookEditor";

        public const string PermissionName_View = "Library.View";
        public const string PermissionName_Edit = "Library.Edit";

        public const string Username_Admin = "admin@test.org";
        public const string Username_User1 = "user1@test.org";
        public const string Username_User2 = "user2@test.org";
        public const string Username_Pluralsight = "pluralsight@test.org";
        public const string Username_Books = "books@test.org";

        public const string MediaType_Video = "Video";
        public const string MediaType_Book = "Book";

        public const string Claim_LevelOfAwesomeness = "LevelOfAwesomeness";

    }
}
