using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;

namespace Benday.RightsBasedSecurity.Core
{
    public class ItemRight : Int32Identity
    {
        [Display(Name = "Permission Name")]
        [Required]
        public string Name { get; set; }

        [Display(Name = "Is Item Specific")]
        public bool IsItemSpecific { get; set; }

        [Display(Name = "Item Type")]
        [Required]
        public string ItemType { get; set; }
    }
}
