﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Benday.RightsBasedSecurity.Core
{
    public class LibraryEntry : Int32Identity
    {
        [Required]
        public string Title { get; set; }

        [Display(Name = "Publish Date")]
        [Required]
        public DateTime PublishDate { get; set; }

        public string Author { get; set; }

        [Display(Name = "Catalog Number")]
        [Required]
        public string CatalogNumber { get; set; }

        [Required]
        public string Summary { get; set; }
    }
}
