using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;

namespace Benday.RightsBasedSecurity.Core
{
    public class RightGrant : Int32Identity
    {
        [Required]
        [Display(Name = "Permission Name")]
        public string PermissionName { get; set; }

        [Required]
        [Display(Name = "On Item Type")]
        public string OnItemType { get; set; }

        [Required]
        [Display(Name = "On Item Id")]
        public int OnItemId { get; set; }

        [Required]
        [Display(Name = "Grant to Target Type")]
        public string GrantToTargetType { get; set; }

        [Required]
        [Display(Name = "Grant to Id")]
        public string GrantToId { get; set; }
    }
}
